package com.ozs.pm.mapper;

import com.ozs.pm.doman.PmFlowChart;

import java.util.List;


/**
 * 流程图Mapper接口
 * 
 * @author ruoyi
 * @date 2023-01-25
 */
public interface PmFlowChartMapper 
{
    /**
     * 查询流程图
     * 
     * @param flowChartId 流程图主键
     * @return 流程图
     */
    public PmFlowChart selectPmFlowChartByFlowChartId(Long flowChartId);

    /**
     * 查询流程图列表
     * 
     * @param pmFlowChart 流程图
     * @return 流程图集合
     */
    public List<PmFlowChart> selectPmFlowChartList(PmFlowChart pmFlowChart);

    /**
     * 新增流程图
     * 
     * @param pmFlowChart 流程图
     * @return 结果
     */
    public int insertPmFlowChart(PmFlowChart pmFlowChart);

    /**
     * 修改流程图
     * 
     * @param pmFlowChart 流程图
     * @return 结果
     */
    public int updatePmFlowChart(PmFlowChart pmFlowChart);

    /**
     * 删除流程图
     * 
     * @param flowChartId 流程图主键
     * @return 结果
     */
    public int deletePmFlowChartByFlowChartId(Long flowChartId);

    /**
     * 批量删除流程图
     * 
     * @param flowChartIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePmFlowChartByFlowChartIds(Long[] flowChartIds);
}
